# Uses of Class
org.apache.lucene.search.highlight.TextFragment

Packages that use TextFragment
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.

- ## Uses of TextFragment in org.apache.lucene.search.highlight

  Methods in org.apache.lucene.search.highlight that return TextFragment
  Modifier and Type
  Method
  Description
  `final TextFragment[]`
  Highlighter.`getBestTextFragments(TokenStream tokenStream, String text, boolean mergeContiguousFragments, int maxNumFragments)`
  Low level api to get the most relevant (formatted) sections of the document.
  Methods in org.apache.lucene.search.highlight with parameters of type TextFragment
  Modifier and Type
  Method
  Description
  `boolean`
  TextFragment.`follows(TextFragment fragment)`
  `void`
  TextFragment.`merge(TextFragment frag2)`
  `void`
  QueryScorer.`startFragment(TextFragment newFragment)`
  `void`
  QueryTermScorer.`startFragment(TextFragment newFragment)`
  `void`
  Scorer.`startFragment(TextFragment newFragment)`
  Called when a new fragment is started for consideration.